Package ghidra.framework.data

# Class TransientDataManager

java.lang.Object
ghidra.framework.data.TransientDataManager

public class TransientDataManager extends Object
Simple static class to keep track of transient domain file/domain objects. When new domain objects are created, they may not have an associated DomainFile. In this case, a DomainFileProxy is created to contain it. DomainFileProxy objects will add themselves to this Manager whenever a tool is using the associated DomainObject and will remove itself all the tools have released the domainObject.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addTransient(DomainFileProxy domainFile)`
  Adds the given transient domain file to the list.
  `static void`
  `clearAll()`
  Removes all transients from the list.
  `static void`
  `getTransients(List<DomainFile> l)`
  Populates the given array list with all the transients.
  `static void`
  `releaseFiles(Object consumer)`
  Releases all files for the given consumer.
  `static void`
  `removeTransient(DomainFileProxy domainFile)`
  Removes the given transient domain file from the list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### addTransient

    public static void addTransient(DomainFileProxy domainFile)
    Adds the given transient domain file to the list.
    Parameters:
      `domainFile` - the transient domain file to add to the list

  - ### removeTransient

    public static void removeTransient(DomainFileProxy domainFile)
    Removes the given transient domain file from the list.
    Parameters:
      `domainFile` - the transient domain file to remove

  - ### clearAll

    public static void clearAll()
    Removes all transients from the list.

  - ### getTransients

    public static void getTransients(List<DomainFile> l)
    Populates the given array list with all the transients.
    Parameters:
      `l` - the list populate with the transients

  - ### releaseFiles

    public static void releaseFiles(Object consumer)
    Releases all files for the given consumer.
    Parameters:
      `consumer` - the domain file consumer